GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
user_args Class Reference

## Public Member Functions
| user_args (const char *line)
std::string | insert_args (const char *line) const

## Private Member Functions
| user_args (const user_args &)=delete
user_args & | operator= (const user_args &)=delete

## Private Attributes
std::string | m_command_line
std::vector< string_view > | m_args

## Detailed Description

Definition at line 71 of file cli-script.c.

## Constructor & Destructor Documentation

## ◆ user_args() [1/2]

user_args::user_args | ( | const char * | line | ) |
| explicit

Definition at line 709 of file cli-script.c.

References m_args, and m_command_line.

## ◆ user_args() [2/2]

user_args::user_args | ( | const user_args & |  | ) |
| private delete

## Member Function Documentation

## ◆ insert_args()

std::string user_args::insert_args | ( | const char * | line | ) | const

Definition at line 803 of file cli-script.c.

References _, error(), locate_arg(), m_args, and string.

## ◆ operator=()

user_args& user_args::operator= | ( | const user_args & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_args

std::vector<string_view> user_args::m_args
| private

Definition at line 94 of file cli-script.c.

Referenced by insert_args(), and user_args().

## ◆ m_command_line

std::string user_args::m_command_line
| private

Definition at line 91 of file cli-script.c.

Referenced by user_args().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/cli/cli-script.c